class ControlModelPage {
  List<Records> records;
  int total;
  int size;
  int current;
  bool searchCount;
  int pages;

  ControlModelPage(
      {this.records,
      this.total,
      this.size,
      this.current,
      this.searchCount,
      this.pages});

  ControlModelPage.fromJson(Map<String, dynamic> json) {
    if (json['records'] != null) {
      records = new List<Records>();
      json['records'].forEach((v) {
        records.add(new Records.fromJson(v));
      });
    }
    total = json['total'];
    size = json['size'];
    current = json['current'];
    searchCount = json['searchCount'];
    pages = json['pages'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.records != null) {
      data['records'] = this.records.map((v) => v.toJson()).toList();
    }
    data['total'] = this.total;
    data['size'] = this.size;
    data['current'] = this.current;
    data['searchCount'] = this.searchCount;
    data['pages'] = this.pages;
    return data;
  }
}

class Records {
  int id;
  int createTime;
  String createBy;
  int updateTime;
  String updateBy;
  String name;
  int brandId;
  String logo;
  String descr;
  int sort;
  int statuz;
  int topFlag;
  LiftBrandEntity liftBrandEntity;
  List<ListFile> listFile;

  Records(
      {this.id,
      this.createTime,
      this.createBy,
      this.updateTime,
      this.updateBy,
      this.name,
      this.brandId,
      this.logo,
      this.descr,
      this.sort,
      this.statuz,
      this.topFlag,
      this.liftBrandEntity,
      this.listFile});

  Records.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    createTime = json['createTime'];
    createBy = json['createBy'];
    updateTime = json['updateTime'];
    updateBy = json['updateBy'];
    name = json['name'];
    brandId = json['brandId'];
    logo = json['logo'];
    descr = json['descr'];
    sort = json['sort'];
    statuz = json['statuz'];
    topFlag = json['topFlag'];
    liftBrandEntity = json['liftBrandEntity'] != null
        ? new LiftBrandEntity.fromJson(json['liftBrandEntity'])
        : null;
    if (json['listFile'] != null) {
      listFile = new List<ListFile>();
      json['listFile'].forEach((v) {
        listFile.add(new ListFile.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['createTime'] = this.createTime;
    data['createBy'] = this.createBy;
    data['updateTime'] = this.updateTime;
    data['updateBy'] = this.updateBy;
    data['name'] = this.name;
    data['brandId'] = this.brandId;
    data['logo'] = this.logo;
    data['descr'] = this.descr;
    data['sort'] = this.sort;
    data['statuz'] = this.statuz;
    data['topFlag'] = this.topFlag;
    if (this.liftBrandEntity != null) {
      data['liftBrandEntity'] = this.liftBrandEntity.toJson();
    }
    if (this.listFile != null) {
      data['listFile'] = this.listFile.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class LiftBrandEntity {
  int id;
  int createTime;
  String createBy;
  int updateTime;
  String updateBy;
  String name;
  String ename;
  String logo;
  String descr;
  int sort;
  int statuz;
  int hotFlag;

  LiftBrandEntity(
      {this.id,
      this.createTime,
      this.createBy,
      this.updateTime,
      this.updateBy,
      this.name,
      this.ename,
      this.logo,
      this.descr,
      this.sort,
      this.statuz,
      this.hotFlag});

  LiftBrandEntity.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    createTime = json['createTime'];
    createBy = json['createBy'];
    updateTime = json['updateTime'];
    updateBy = json['updateBy'];
    name = json['name'];
    ename = json['ename'];
    logo = json['logo'];
    descr = json['descr'];
    sort = json['sort'];
    statuz = json['statuz'];
    hotFlag = json['hotFlag'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['createTime'] = this.createTime;
    data['createBy'] = this.createBy;
    data['updateTime'] = this.updateTime;
    data['updateBy'] = this.updateBy;
    data['name'] = this.name;
    data['ename'] = this.ename;
    data['logo'] = this.logo;
    data['descr'] = this.descr;
    data['sort'] = this.sort;
    data['statuz'] = this.statuz;
    data['hotFlag'] = this.hotFlag;
    return data;
  }
}

class ListFile {
  int id;
  int createTime;
  String createBy;
  int updateTime;
  String updateBy;
  int brandId;
  int dataTable;
  int dataId;
  int catagoryId;
  String name;
  String url;
  int statuz;
  int browseNum;
  int downloadNum;
  String brandName;
  String catagoryName;
  String dataTableName;

  ListFile(
      {this.id,
      this.createTime,
      this.createBy,
      this.updateTime,
      this.updateBy,
      this.brandId,
      this.dataTable,
      this.dataId,
      this.catagoryId,
      this.name,
      this.url,
      this.statuz,
      this.browseNum,
      this.downloadNum,
      this.brandName,
      this.catagoryName,
      this.dataTableName});

  ListFile.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    createTime = json['createTime'];
    createBy = json['createBy'];
    updateTime = json['updateTime'];
    updateBy = json['updateBy'];
    brandId = json['brandId'];
    dataTable = json['dataTable'];
    dataId = json['dataId'];
    catagoryId = json['catagoryId'];
    name = json['name'];
    url = json['url'];
    statuz = json['statuz'];
    browseNum = json['browseNum'];
    downloadNum = json['downloadNum'];
    brandName = json['brandName'];
    catagoryName = json['catagoryName'];
    dataTableName = json['dataTableName'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['createTime'] = this.createTime;
    data['createBy'] = this.createBy;
    data['updateTime'] = this.updateTime;
    data['updateBy'] = this.updateBy;
    data['brandId'] = this.brandId;
    data['dataTable'] = this.dataTable;
    data['dataId'] = this.dataId;
    data['catagoryId'] = this.catagoryId;
    data['name'] = this.name;
    data['url'] = this.url;
    data['statuz'] = this.statuz;
    data['browseNum'] = this.browseNum;
    data['downloadNum'] = this.downloadNum;
    data['brandName'] = this.brandName;
    data['catagoryName'] = this.catagoryName;
    data['dataTableName'] = this.dataTableName;
    return data;
  }
}
